Failed Deployement during building stage

7:07:26 PM: Build ready to start
7:07:28 PM: build-image version: 122b31996ccaffd45d820a452d6227f8312110cc (focal)
7:07:28 PM: build-image tag: v4.5.3
7:07:28 PM: buildbot version: 0854df8549ceb2ae5c3f0bb7326040a5c2ced0c5
7:07:29 PM: Building without cache
7:07:29 PM: Starting to prepare the repo for build
7:07:29 PM: No cached dependencies found. Cloning fresh repo
7:07:29 PM: git clone https://github.com/sahilrawat001/chat
7:07:30 PM: Preparing Git Reference refs/heads/main
7:07:30 PM: Parsing package.json dependencies
7:07:31 PM: Starting build script
7:07:31 PM: Installing dependencies
7:07:31 PM: Python version set to 2.7
7:07:32 PM: v16.13.2 is already installed.
7:07:33 PM: Now using node v16.13.2 (npm v8.1.2)
7:07:33 PM: Started restoring cached build plugins
7:07:33 PM: Finished restoring cached build plugins
7:07:33 PM: Attempting ruby version 2.7.2, read from environment
7:07:34 PM: Using ruby version 2.7.2
7:07:35 PM: Using PHP version 8.0
7:07:35 PM: Started restoring cached node modules
7:07:35 PM: Finished restoring cached node modules
7:07:35 PM: Installing NPM modules using NPM version 8.1.2
7:07:37 PM: npm WARN old lockfile
7:07:37 PM: npm WARN old lockfile The package-lock.json file was created with an old version of npm,
7:07:37 PM: npm WARN old lockfile so supplemental metadata must be fetched from the registry.
7:07:37 PM: npm WARN old lockfile
7:07:37 PM: npm WARN old lockfile This is a one-time fix-up, please be patient…
7:07:37 PM: npm WARN old lockfile
7:07:57 PM: npm WARN deprecated source-map-url@0.4.1: See https://github.com/lydell/source-map-url#deprecated
7:07:59 PM: npm WARN deprecated source-map-resolve@0.6.0: See https://github.com/lydell/source-map-resolve#deprecated
7:08:09 PM: npm WARN deprecated svgo@1.3.2: This SVGO version is no longer supported. Upgrade to v2.x.x.
7:08:16 PM: added 1402 packages, and audited 1403 packages in 40s
7:08:16 PM: 169 packages are looking for funding
7:08:16 PM: run npm fund for details
7:08:16 PM: 8 moderate severity vulnerabilities
7:08:16 PM: To address all issues (including breaking changes), run:
7:08:16 PM: npm audit fix --force
7:08:16 PM: Run npm audit for details.
7:08:16 PM: NPM modules installed
7:08:16 PM: Started restoring cached go cache
7:08:16 PM: Finished restoring cached go cache
7:08:16 PM: go version go1.16.5 linux/amd64
7:08:16 PM: go version go1.16.5 linux/amd64
7:08:16 PM: Installing missing commands
7:08:16 PM: Verify run directory
7:08:18 PM: ​
7:08:18 PM: ────────────────────────────────────────────────────────────────
7:08:18 PM: Netlify Build
7:08:18 PM: ────────────────────────────────────────────────────────────────
7:08:18 PM: ​
7:08:18 PM: ❯ Version
7:08:18 PM: @netlify/build 26.2.3
7:08:18 PM: ​
7:08:18 PM: ❯ Flags
7:08:18 PM: baseRelDir: true
7:08:18 PM: buildId: 61fd2c1645deba0075b24167
7:08:18 PM: deployId: 61fd2c1645deba0075b24169
7:08:18 PM: ​
7:08:18 PM: ❯ Current directory
7:08:18 PM: /opt/build/repo
7:08:18 PM: ​
7:08:18 PM: ❯ Config file
7:08:18 PM: No config file was defined: using default values.
7:08:18 PM: ​
7:08:18 PM: ❯ Context
7:08:18 PM: production
7:08:18 PM: ​
7:08:18 PM: ────────────────────────────────────────────────────────────────
7:08:18 PM: 1. Build command from Netlify app
7:08:18 PM: ────────────────────────────────────────────────────────────────
7:08:18 PM: ​
7:08:18 PM: $ npm run build
7:08:18 PM: > chat@0.1.0 build
7:08:18 PM: > react-scripts build
7:08:20 PM: Creating an optimized production build…
7:08:23 PM: Failed to compile.
7:08:23 PM:
7:08:23 PM: Module not found: Error: Can’t resolve ‘react-chat-engine’ in ‘/opt/build/repo/src’
7:08:23 PM: ​
7:08:23 PM: ────────────────────────────────────────────────────────────────
7:08:23 PM: “build.command” failed
7:08:23 PM: ────────────────────────────────────────────────────────────────
7:08:23 PM: ​
7:08:23 PM: Error message
7:08:23 PM: Command failed with exit code 1: npm run build
7:08:23 PM: ​
7:08:23 PM: Error location
7:08:23 PM: In Build command from Netlify app:
7:08:23 PM: npm run build
7:08:23 PM: ​
7:08:23 PM: Resolved config
7:08:23 PM: build:
7:08:23 PM: command: npm run build
7:08:23 PM: commandOrigin: ui
7:08:23 PM: publish: /opt/build/repo/build
7:08:23 PM: publishOrigin: ui
7:08:23 PM: Caching artifacts
7:08:23 PM: Started saving node modules
7:08:23 PM: Finished saving node modules
7:08:23 PM: Started saving build plugins
7:08:23 PM: Finished saving build plugins
7:08:23 PM: Started saving pip cache
7:08:23 PM: Finished saving pip cache
7:08:23 PM: Started saving emacs cask dependencies
7:08:23 PM: Finished saving emacs cask dependencies
7:08:23 PM: Started saving maven dependencies
7:08:23 PM: Finished saving maven dependencies
7:08:23 PM: Started saving boot dependencies
7:08:23 PM: Finished saving boot dependencies
7:08:23 PM: Started saving rust rustup cache
7:08:23 PM: Finished saving rust rustup cache
7:08:23 PM: Started saving go dependencies
7:08:23 PM: Finished saving go dependencies
7:08:25 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
7:08:25 PM: Creating deploy upload records
7:08:25 PM: Failing build: Failed to build site
7:08:25 PM: Failed during stage ‘building site’: Build script returned non-zero exit code: 2
7:08:25 PM: Finished processing build request in 56.8294631s

It appears that this dependency might be missing from your package.json. Could you share your repo?

Sure, here’s the link for repo https://github.com/sahilrawat001/chat

Yeah, there’s no dependency called react-chat-engine in here: